%define module_name 	paramiko

Summary: 	SSH2 protocol for Python

Name: 		python-%{module_name}
Version: 	1.15.2
Release: 	3
Url: 		http://www.lag.net//paramiko/
License: 	LGPL 2+
Group: 		Development/Python
Source: 	http://pypi.python.org/packages/source/p/paramiko/paramiko-%{version}.tar.gz

Requires:   pycrypto
Obsoletes:  %{module_name}
Provides:   %{module_name}
BuildRequires:	python-devel
BuildRequires:	pycrypto
Requires:	python-ecdsa
BuildArch:	noarch

%description
Paramiko is a module for python that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines.  the module works
by taking a socket-like object that you pass in, negotiating with the remote
server, authenticating (using a password or a given private key), and opening
flow-controled "channels" to the server, which are returned as socket-like
objects. you are responsible for verifying that the server's host key is the
one you expected to see, and you have control over which kinds of encryption
or hashing you prefer (if you care), but all of the heavy lifting is done by
the paramiko module.

%prep
%setup -qn %{module_name}-%{version}

%install
python setup.py install --root=%{buildroot}

%clean

#%check
#python test.py

%files
%doc docs PKG-INFO README tests demo*
%{py_puresitedir}/*

%changelog

* Sun Jan 31 2016 Denis Silakov <dsilakov@gmail.com> 1.15.2-3
- (52a4f31) Move to main


